Storyden
Robots

Get a Robot Toolset

Retrieve a built-in, custom, or plugin Toolset by ID.

GET/robots/toolsets/{toolset_id}

Retrieve a built-in, custom, or plugin Toolset by ID.

storyden-session<token>

In: cookie

Path Parameters

toolset_id*string

Robot Toolset ID

Response Body

application/json

application/json

curl -X GET "https://example.com/robots/toolsets/string"
{
  "id": "string",
  "name": "string",
  "description": "string",
  "instruction": "string",
  "tools": [
    "string"
  ],
  "source": "system",
  "source_ref": "string",
  "editable": true,
  "usage_count": 0,
  "requires_workspace": true,
  "author": {
    "id": "cc5lnd2s1s4652adtu50",
    "joined": "2019-08-24T14:15:22Z",
    "suspended": "2019-08-24T14:15:22Z",
    "handle": "Southclaws",
    "name": "Barnaby Keene",
    "signature": "<body><p>Sent with love from London!</p></body>",
    "roles": [
      {
        "badge": true,
        "default": true,
        "id": "cc5lnd2s1s4652adtu50",
        "name": "string",
        "colour": "string",
        "meta": {}
      }
    ]
  },
  "meta": {}
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}